ACPIBTN(4)

NAME
acpibtn - ACPI button

SYNOPSIS
acpibtn* at acpi?

DESCRIPTION
The acpibtn driver handles events triggered by ACPI buttons. Currently, only power button, sleep button and lid status events are supported.

The power button event is handled according to the machdep.pwraction sysctl(8). Valid values are:

0   Do nothing.
1   Perform a regular system shutdown and power off the machine if the hw.allowpowerdown sysctl is set to 1.
2   Put the system into suspend (deep sleep) state.

The sleep button event puts the system into suspend (deep sleep) state.

The lid status event is handled according to the machdep.lidaction sysctl. Valid values are:

0   Do nothing.
1   Put the system into suspend (deep sleep) state.
2   Put the system into hibernation. System memory is saved to disk (swap space) and the machine is powered down. For machines supporting the acpi(4) style hibernate functionality, on resume a full kernel boot will occur, followed by the reading of the saved memory image. The image will then be unpacked and the system resumed at the point immediately after the hibernation request.

The lid status is set up as a sensor and can be monitored using sysctl(8) or sensorsd(8).

SEE ALSO
acpi(4), intro(4), sensorsd(8), sysctl(8)

HISTORY
The acpibtn driver first appeared in OpenBSD 3.9.

AUTHORS
-nosplit The acpibtn driver was written by Marco Peereboom <marco@openbsd.org>.